# page layout and HTML intros
# $Id: pagelayout.html.inc,v 1.1.1.1 2004/03/18 11:59:53 gray Exp $

# Adresses of publishers, for footer.


# Keep the paratext (basic informations on the document) as public xtrans attributes
Function: SetParatext author, copy, kwords, title, subtitle
    xtrans.author = author
    xtrans.copy = copy
    xtrans.keywords = kwords
    xtrans.title = title
    xtrans.subtitle = subtitle

# function OpenPage write an HTML header to the output, based on paratext content,
# build the decorations and navigation. Argument is the window title.


Function: OpenPage title
    hb = """<HTML>
<HEAD>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <META NAME="AUTHOR" CONTENT="%s">
  <META NAME="COPYRIGHT" CONTENT="%s">
  <META NAME="KEYWORDS" CONTENT="%s">
  <META NAME="GENERATOR" CONTENT="%s">
  <!-- Original XML file is %s ; xtrans file is %s ; date is %s -->
  <TITLE>%s</TITLE>
  <LINK REL=STYLESHEET TYPE="text/css" HREF="manstyle.css">
</HEAD>
<BODY bgcolor="#FFFFFF">
  <TABLE border="0" WIDTH="100%%">
  <TR><TD colspan="2">
  <TABLE BORDER="0" WIDTH="100%%"><TR><TH ALIGN="left">%s</TH><TD ALIGN="right">%s</TD></TR></TABLE>
  <HR NOSHADE WIDTH="100%%">
  </TD></TR>
  <TR><TD valign="top" align="left" WIDTH="20%%">
  [NAVICONTEXT]
  </TD><TD>
"""
    xtrans.output.write(hb % (xtrans.author, xtrans.copy, xtrans.keywords,
        xtrans.generator, xtrans.xmlsource, xtrans.xtranssource, xtrans.date, title,
        xtrans.title, xtrans.subtitle))



Postmacro: NAVICONTEXT
    filenum = len(xtrans.labels)
    if filenum < 11:
        for f in range(filenum):
            if f == currentfileno:
                xtrans.output.write ('<SPAN CLASS="bar">%s</SPAN><BR>' % xtrans.labels[f])
            else:
                xtrans.output.write ('<A CLASS="bar" HREF="%s">%s</A><BR>' % (xtrans.filenames[f], xtrans.labels[f]))
    else:
        if currentfileno > 0:
            i = currentfileno - 1
            xtrans.output.write('<A CLASS="bar" HREF="%s">%s</A><BR>' % (xtrans.filenames[i], xtrans.labels[i]))
        xtrans.output.write ('<SPAN CLASS="bar">%s</SPAN><BR>' % xtrans.labels[currentfileno])
        if currentfileno < len(xtrans.filenames) -1:
            i = currentfileno + 1
            xtrans.output.write('<A CLASS="bar" HREF="%s">%s</A><BR>' % (xtrans.filenames[i], xtrans.labels[i]))
        # direct access
        xtrans.output.write("""<FORM NAME="nav"><DIV CLASS="select">
<SELECT NAME="SelectURL" onChange="document.location.href=document.nav.SelectURL.options[document.nav.SelectURL.selectedIndex].value">""")
        for f in range(filenum):
            if f == currentfileno:
                xtrans.output.write ('<OPTION VALUE="%s" SELECTED>%s</OPTION>' % (xtrans.filenames[f],xtrans.labels[f]))
            else:
                xtrans.output.write ('<OPTION VALUE="%s">%s</OPTION>' % (xtrans.filenames[f], xtrans.labels[f]))
        xtrans.output.write("</SELECT></DIV></FORM><BR>")



Function: BeginBody
    xtrans.output.write("""
    <P>&nbsp;</P>
<DIV CLASS="nostyle"><STRONG>If you see this message, it means that your browser does not enable "style sheets".
Please enable the style sheets in your browser options or preferences, otherwise go to the "nostyle" version of Kervarker
<A href="../nostyle.html">here</A></STRONG> (note that you may have to enable JavaScript too).</DIV>
<BR>""")

Function: ClosePage
    xtrans.output.write("""
</TD>
</TR>
<TR><TD  colspan="2"><BR><BR>
<DIV CLASS="footer"><HR noshade width="100%%">&copy; 2000 <B>%s</B>. Generated with eXtrans tools on %s</DIV>
</TD></TR>
</TABLE>
</BODY>
</HTML>""" % (xtrans.copy, xtrans.date))

